Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class RangeStreamer

    java.lang.Object
      org.apache.cassandra.dht.RangeStreamer

    public class RangeStreamer

extends java.lang.Object

Assists in streaming ranges to a node.

Nested Class Summary
`static class` | `RangeStreamer.FailureDetectorSourceFilter` Source filter which excludes any endpoints that are not alive according to a failure detector.
`static interface` | `RangeStreamer.ISourceFilter` A filter applied to sources to stream from when constructing a fetch map.
`static class` | `RangeStreamer.SingleDatacenterFilter` Source filter which excludes any endpoints that are not in a specific data center.

Field Summary
`protected java.util.concurrent.CountDownLatch` | `latch`

Constructor Summary
`RangeStreamer(TokenMetadata metadata, java.net.InetAddress address, OperationType opType)`

Method Summary
`void` | `addRanges(java.lang.String table, java.util.Collection<Range<Token>> ranges)`
`void` | `addSourceFilter(RangeStreamer.ISourceFilter filter)`
`void` | `fetch()`
`static com.google.common.collect.Multimap<java.net.InetAddress,Range<Token>>` | `getWorkMap(com.google.common.collect.Multimap<Range<Token>,java.net.InetAddress> rangesWithSourceTarget)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### latch

    protected java.util.concurrent.CountDownLatch latch

Constructor Detail

### RangeStreamer

    public RangeStreamer(TokenMetadata metadata,
                         java.net.InetAddress address,
                         OperationType opType)

Method Detail

### addSourceFilter

    public void addSourceFilter(RangeStreamer.ISourceFilter filter)

### addRanges

    public void addRanges(java.lang.String table,
                          java.util.Collection<Range<Token>> ranges)

### getWorkMap

    public static com.google.common.collect.Multimap<java.net.InetAddress,Range<Token>> getWorkMap(com.google.common.collect.Multimap<Range<Token>,java.net.InetAddress> rangesWithSourceTarget)

### fetch

    public void fetch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation